--=============================================================================================================================================
--  Purpose : Lua definition file for the homeworld .
--            description of the wall strike group
--			  uses the AttackAIFamily names for ship types
--
--  Copyright Relic Entertainment, Inc.  All rights reserved.
--
--==================================================================================================================

strikegroup = 
{
	Name					= "Core",
	DesiredShipTypes 		= "Fighter, Corvette",
	OffsetFromParent 		= {0,0,0},
	Children = 
	{
		{
			Name					= "CoreLeftUp",
			DesiredShipTypes 		= "Corvette, Fighter",
			OffsetFromParent 		= {-1,1,1},
			Children = 
			{
				{
					Name					= "LeftUp_1",
					DesiredShipTypes 		= "Corvette, Fighter",
					OffsetFromParent 		= {-1,1,1},
					Children = 
					{
						{
							Name					= "LeftUp_2",
							DesiredShipTypes 		= "Corvette, Fighter",
							OffsetFromParent 		= {-1,1,1},
							Children = 
							{
								{
									Name					= "LeftUp_3",
									DesiredShipTypes 		= "Corvette, Fighter",
									OffsetFromParent 		= {-1,1,1},
								},
							},
						},
					},
				},
			},
		},
		{
			Name					= "CoreLeftDown",
			DesiredShipTypes 		= "Corvette, Fighter",
			OffsetFromParent 		= {-1,-1,1},
			Children = 
			{
				{
					Name					= "LeftDown_1",
					DesiredShipTypes 		= "Corvette, Fighter",
					OffsetFromParent 		= {-1,-1,1},
					Children = 
					{
						{
							Name					= "LeftDown_2",
							DesiredShipTypes 		= "Corvette, Fighter",
							OffsetFromParent 		= {-1,-1,1},
							Children = 
							{
								{
									Name					= "LeftDown_3",
									DesiredShipTypes 		= "Corvette, Fighter",
									OffsetFromParent 		= {-1,-1,1},
								},
							},
						},
					},
				},
			},
		},
		{
			Name					= "CoreRightUp",
			DesiredShipTypes 		= "Corvette, Fighter",
			OffsetFromParent 		= {1,1,1},
			Children = 
			{
				{
					Name					= "RightUp_1",
					DesiredShipTypes 		= "Corvette, Fighter",
					OffsetFromParent 		= {1,1,1},
					Children = 
					{
						{
							Name					= "RightUp_2",
							DesiredShipTypes 		= "Corvette, Fighter",
							OffsetFromParent 		= {1,1,1},
							Children = 
							{
								{
									Name					= "RightUp_3",
									DesiredShipTypes 		= "Corvette, Fighter",
									OffsetFromParent 		= {1,1,1},
								},
							},
						},
					},
				},
			},
		},
		{
			Name					= "CoreRightDown",
			DesiredShipTypes 		= "Corvette, Fighter",
			OffsetFromParent 		= {1,-1,1},
			Children = 
			{
				{
					Name					= "RightDown_1",
					DesiredShipTypes 		= "Corvette, Fighter",
					OffsetFromParent 		= {1,-1,1},
					Children = 
					{
						{
							Name					= "RightDown_2",
							DesiredShipTypes 		= "Corvette, Fighter",
							OffsetFromParent 		= {1,-1,1},
							Children = 
							{
								{
									Name					= "RightDown_3",
									DesiredShipTypes 		= "Corvette, Fighter",
									OffsetFromParent 		= {1,-1,1},
								},
							},
						},
					},
				},
			},
		},
	},
}
