--=============================================================================================================================================
--  Purpose : Lua definition file for the homeworld .
--            description of the wall strike group
--			  uses the AttackAIFamily names for ship types
--
--  Copyright Relic Entertainment, Inc.  All rights reserved.
--
--==================================================================================================================

strikegroup = 
{
	Name					= "Core",
	DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter, Capturer, Utility",
	OffsetFromParent 		= {0,0,0},
	Children = 
	{
		{
			Name					= "CoreLeft",
			DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
			OffsetFromParent 		= {-1,0,0},
			Children = 
			{
				{
					Name					= "Left",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {-1,0,0},
					Children = 
					{
						{
							Name					= "Up",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,1,0},
							Children = 
							{
								{
									Name					= "Up",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,1,0},
								},
							},
						},
						{
							Name					= "Down",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,-1,0},
							Children = 
							{
								{
									Name					= "Down",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,-1,0},
								},
							},
						},
						{
							Name					= "Left",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {-1,0,0},
							Children = 
							{
								{
									Name					= "Up",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,1,0},
									Children = 
									{
										{
											Name					= "Up",
											DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
											OffsetFromParent 		= {0,1,0},
										},
									},
								},
								{
									Name					= "Down",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,-1,0},
									Children = 
									{
										{
											Name					= "Down",
											DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
											OffsetFromParent 		= {0,-1,0},
										},
									},
								},
							},
						},
					},
				},
				{
					Name					= "Up",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {0,1,0},
					Children = 
					{
						{
							Name					= "Up",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,1,0},
						},
					},
				},
				{
					Name					= "Down",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {0,-1,0},
					Children = 
					{
						{
							Name					= "Down",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,-1,0},
						},
					},
				},
			},
		},
		{
			Name					= "CoreRight",
			DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
			OffsetFromParent 		= {1,0,0},
			Children = 
			{
				{
					Name					= "Right",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {1,0,0},
					Children = 
					{
						{
							Name					= "Up",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,1,0},
							Children = 
							{
								{
									Name					= "Up",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,1,0},
								},
							},
						},
						{
							Name					= "Down",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,-1,0},
							Children = 
							{
								{
									Name					= "Down",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,-1,0},
								},
							},
						},
						{
							Name					= "Right",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {1,0,0},
							Children = 
							{
								{
									Name					= "Up",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,1,0},
									Children = 
									{
										{
											Name					= "Up",
											DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
											OffsetFromParent 		= {0,1,0},
										},
									},
								},
								{
									Name					= "Down",
									DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
									OffsetFromParent 		= {0,-1,0},
									Children = 
									{
										{
											Name					= "Down",
											DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
											OffsetFromParent 		= {0,-1,0},
										},
									},
								},
							},
						},
					},
				},
				{
					Name					= "Up",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {0,1,0},
					Children = 
					{
						{
							Name					= "Up",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,1,0},
						},
					},
				},
				{
					Name					= "Down",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {0,-1,0},
					Children = 
					{
						{
							Name					= "Down",
							DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
							OffsetFromParent 		= {0,-1,0},
						},
					},
				},
			},
		},
		{
			Name					= "Up",
			DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
			OffsetFromParent 		= {0,1,0},
			Children = 
			{
				{
					Name					= "Up",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {0,1,0},
				},
			},
		},
		{
			Name					= "Down",
			DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
			OffsetFromParent 		= {0,-1,0},
			Children = 
			{
				{
					Name					= "Down",
					DesiredShipTypes 		= "BigCapitalShip, SmallCapitalShip, Frigate, Corvette, Fighter",
					OffsetFromParent 		= {0,-1,0},
				},
			},
		},
		{
			Name					= "Junk",
			DesiredShipTypes 		= "Capturer, Utility",
			OffsetFromParent 		= {0,0,-1},
			Children = 
			{
				{
					Name					= "JunkLeft",
					DesiredShipTypes 		= "Capturer, Utility",
					OffsetFromParent 		= {-1,0,0},
				},
				{
					Name					= "JunkRight",
					DesiredShipTypes 		= "Capturer, Utility",
					OffsetFromParent 		= {1,0,0},
				},
			},
		},
	},
}
