-- Lua screen def'n for controls tab in the options screens

KEYBTNWIDTH = 240
SBARSPACE = 19
--612, 264
function GetControlsTab(_width, _height, _linecolor)

local LBOXHEIGHT = _height - 19

local LocalControlsTab = {
	type = "Frame",
	name = "m_frameControlsTab",
	size = {_width, _height},
	visible = 0,
	;
	
	-- List box to hold all items
	{
		type = "ListBox",
		name = "m_listControls",
		size = {_width-2,LBOXHEIGHT},
		--backgroundColor = {0,220,0,100},
		
		ScrollBar = {
			pageSize = 200,
		},
	},
	
	-- Line to right of scroll bar
	{
		type = "Line",
		p1 = {_width - SBARSPACE, 0},
		p2 = {_width - SBARSPACE, LBOXHEIGHT},
		lineWidth = 2,
		above = 1,
		color = _linecolor,
	},
	
	-- Line below scrollbar
	{
		type = "Line",
		p1 = {0, LBOXHEIGHT},
		p2 = {_width, LBOXHEIGHT},
		above = 0,
		lineWidth = 2,
		color = _linecolor,
	},
	
	-- Buttons below scrollbar
	
	-- Restore defaults button
	{
		type = "TextButton",
		name = "m_btnRestoreDefaults",
		width = 180,
		position = {_width - 364, _height - 15},
		buttonStyle = "FEButtonStyle1",
		Text = {
			textStyle = "FEButtonStyle1NoEnterSound",
			text = "$5097", -- "RESTORE CONTRoLS",
		},
		helpTip = "$5099",
		helpTipTextLabel = "m_lblHelpText",
	},
	
	-- Reset button
	{
		type = "TextButton",
		name = "m_btnReset",
		width = 180,
		position = {_width - 182, _height - 15},
		buttonStyle = "FEButtonStyle1NoEnterSound",
		Text = {
			textStyle = "FEButtonTextStyle",
			text = "$5182", -- "RESET KEY",
		},
		helpTip = "$5098",
		helpTipTextLabel = "m_lblHelpText",
	},
	
	-- Items
	
	-- Header item to clone
	{
		type = "ListBoxItem",
		name = "m_headerListBoxItemToClone",
		size = {_width - SBARSPACE, 15},
		selectable = 0,
		visible = 0,
		;
		{
			type = "TextLabel",
			name = "m_lblHeaderTitle",
			size = {_width - SBARSPACE, 13},
			Text = {
				color = {255,215,0,255},
				offset = {7,0},
			},
		},
	},
	
	-- Non editable item to clone
	{
		type = "ListBoxItem",
		name = "m_nonEditableListBoxItemToClone",
		size = {_width - SBARSPACE, 15},
		visible = 0,
		selectable =0,
		;
		{
			type = "TextLabel",
			name = "m_lblKeyName",
			size = {_width - KEYBTNWIDTH - 2 - SBARSPACE, 13},
			Text = {
				font = "ButtonFont",
				color = {255,255,255,255},
				vAlign = "Middle",
				offset = {30, 0},
			},
		},
		
		{
			type = "TextButton",
			enabled = 0,
			name = "m_btnKey",
			buttonStyle = "FEButtonStyle1NoEnterSound",
			width = KEYBTNWIDTH,
			position = {_width - KEYBTNWIDTH - 2 - SBARSPACE, 0},
			Text = {
				font = "ButtonFont",
				color = {255,255,255,255},
				vAlign = "Middle",
				hAlign = "Center",
			},
			helpTipTextLabel = "m_lblHelpText",
			helpTip = "$5183", -- "THIS KEY CANNOT BE REASSINGED",
		}
	},
	
	-- Editable item to clone
	{
		type = "ListBoxItem",
		name = "m_editableListBoxItemToClone",
		size = {_width - SBARSPACE, 15},
		visible = 0,
		pressedColor = {255,255,255,50},
		;
		{
			type = "TextLabel",
			name = "m_lblKeyName",
			size = {_width - KEYBTNWIDTH - 2 - SBARSPACE, 13},
			Text = {
				font = "ButtonFont",
				color = {255,255,255,255},
				vAlign = "Middle",
				offset = {30, 0},
			},
		},
		
		{
			type = "TextButton",
			name = "m_btnKey",
			buttonStyle = "FEButtonStyle1NoEnterSound",
			width = KEYBTNWIDTH,
			position = {_width - KEYBTNWIDTH - 2 - SBARSPACE, 0},
			Text = {
				font = "ButtonFont",
				color = {255,255,255,255},
				vAlign = "Middle",
				hAlign = "Center",
			},
			helpTipTextLabel = "m_lblHelpText",
			helpTip = "$5184", -- "CLICK TO REASSIGN KEY",
		}
	},
}

return LocalControlsTab

end


--------------------------------------------------------
-- Key order
KeyBindingList = {

	---------------------------------------------------
	-- Selection
	{
		title = 5190, 
		keys = {
			43, 1,	-- select all ships
			164, 1,  -- select idle harvesters
			26, 1,	-- military selection, key up modifier can only be assigned a single key 
			--27, 0,
			18, 0,	-- cancel
		},
	},
	
	---------------------------------------------------
	-- Orders
	{
		title = 5191, 
		keys = {
			5, 1, 		-- scuttle
			--6, 0,   -- ***** WHY ARE THERE 2 ENTRIES FOR CERTAIN HOTKEYS??
			7, 1, 		-- special attack
			--8, 1,
			9, 1, 		-- kamikaze
			10, 1, 	-- move
			11, 1,	-- hyperspace
			12, 1, 	-- harvest keyup modifier
			
			14, 1,	-- guard
			15, 1,	-- dock
			16, 1,	-- parade
			17, 1,	-- stop
			
			19, 1,	-- sensor ping
			20, 1,	-- repair
			21, 1,	-- rally point
			22, 1,	-- rally object????? wtF
			23, 1,	-- retire
			24, 1,	-- drop mines on current point
			25, 1,	-- move attack
			
			56, 1,    -- waypoint
			--58, 1,	-- delete waypoint
			--59, 1,	-- toggle waypoint
			
			143, 1,	-- defense field
			144, 1,	-- cloak
			145, 1,	-- capture
			146, 1,	-- special attack
			147, 1,	-- sensor ping
		},
	},
	
	---------------------------------------------------
	-- Control Groups
	{
		title = 5192, 
		keys = {
			60, 0,	-- assign groups 1-10
			61, 0,
			62, 0,
			63, 0,
			64, 0,
			65, 0,
			66, 0,
			67, 0,
			68, 0,
			69, 0,
			
			70, 0,	-- select groups 1-10
			71, 0,
			72, 0,
			73, 0,
			74, 0,
			75, 0,
			76, 0,
			77, 0,
			78, 0,
			79, 0,
			
			166, 1, -- clear selected from all groups
			167, 1, -- clear all groups
		},
	},
	
	---------------------------------------------------
	-- Task bar
	{
		title = 5193, 
		keys = {
			48, 1,	-- tactical overlay
			49, 1,	-- research menu
			50, 1,	-- build menu
			51, 1,	-- build menu (toggle)
			52, 1,	-- research menu
			53, 1,	-- research menu (toggle)
			54, 1,	-- sensors manager
			55, 1,	-- toggle HUD (taskbar)
			
			137, 1,	-- objectives screen
			138, 1,	-- rally point (different?)
			139, 1,	-- global build Q menu
			140, 1,	-- events screen
			141, 1,	-- diplomacy screen
			142, 1,	-- speech recall
			
			149, 1,	-- unit cap info
			150, 1,       -- special commands toggle
			
			131, 1,	-- chat
		},
	},
	
	---------------------------------------------------
	-- Tactics & Formations
	{
		title = 5194, 
		keys = {
			32, 1,	-- prev tactic
			33, 1,	-- next tactic
			34, 1,	-- passive tactics
			35, 1,	-- defensive tactics
			36, 1,	-- aggresive tactics
			
			28, 1,	-- form strike group (SG) tortise
			29, 1,	-- SG wall
			30, 1,	-- SG inverted leaping goose
			31, 1,	-- leave strike group???? wtF
		},
	},
	
	---------------------------------------------------
	-- Camera
	{
		title = 5195, 
		keys = {
			41, 1,	-- focus on flagship
			42, 1,	-- focus on selected
			163, 1, 	-- focus on last event
			
			44, 1,	-- next focus
			45, 1,	-- prev focus
			46, 1,	-- zoom in
			47, 1,	-- zoom out
			151, 1,       -- pan forward
			153, 1,       -- pan backward
			155, 1,       -- pan left
			157, 1,       -- pan right
			159, 1,       -- pan up
			161, 1,       -- pan down
			
		},
	},
	
	---------------------------------------------------
	-- Build & Research
	{
		title = 5196, 
		keys = {
			99, 1,	-- cancel ship at top of ship queue
			100, 1,	-- pause ship queue
			101, 1,	-- cancel sub at top of sub queue
			102, 1,	-- pause sub queue
			
			90, 1,	-- select build facilities
			91, 1,	
			92, 1,
			93, 1,
			94, 1,
			95, 1,
			96, 1,
			97, 1,
			98, 1,
			
			80, 0,	-- send build order 0-9
			81, 0,
			82, 0,
			83, 0,
			84, 0,
			85, 0,
			86, 0,
			87, 0,
			88, 0,
			89, 0,
		},
	},
	
	---------------------------------------------------
	-- System
	{
		title = 5197, 
		keys = {
			2, 0, 		-- exit
			4, 0, 		-- menu
			40, 0,	-- pause
			125, 0,	-- quick save
			126, 0,	-- quick load
			129, 0,	-- restart level
			130, 1,	-- screen shot
		},
	},

	---------------------------------------------------
	-- Unassigned / FIXME
	--{
	--	title = 5198, -- loc id
	--	keys = {
			--1, 1 ,  -- keyId, enabled
			
			--3, 1
			
			--27, 1,
			
			--37, 1,	-- speed x2
			--38, 1,	-- speed /2
			--39, 1,	-- speed normal
			
			--56, 1,	-- waypoint editing
			--57, 1,	-- waypoint editing
			
			-- removed
			--103, 1,	-- assign group 11-20???? wtF how do you select
			--104, 1,
			--105, 1,
			--106, 1,
			--107, 1,
			--108, 1,
			--109, 1,
			--110, 1,
			--111, 1,
			--112, 1,
			
			--113, 1,	-- shift modifier
			--114, 1,	-- shift modifier
			--115, 1,	-- control modifer
			--116, 1,	-- control player
			--117, 1, -- focus modifier
			--118, 1, -- focus modifier
			--119, 1,	-- switch player
			--120, 1,	-- ship script reload
			--121, 1,	-- script reload
			
			--122, 1,	-- flight manuever testing
			--123, 1,
			--124, 1,
			
			--127, 1, -- deterministic qsave/load (debug)
			--128, 1,
			
			
			--132, 1,
			
			--133, 1,	-- render toggle
			--134, 1,	-- super turbo
			--135, 1,	-- super turbo off
			--136, 1,	-- sensors manager filter
			
			--148, 1,
		--},
	--},
}

