
DiplomacyScreen = {
	size = { 225, 149, 351, 207},
	stylesheet = "HW2StyleSheet",

	RootElementSettings = {
		backgroundColor = "IGColorBackground1",
	},
	
	-- Flags
	pixelUVCoords = 1, -- Enter pixel coords for texture coords
	;
	
	-- Title 
	{
		type = "TextLabel",		
		position = {4, 1},
		size = {208, 14},
		name = "lblTitle",		
		Text = {
			textStyle = "IGHeading1",
			text = "$2900", -- DIPLOMACY
		},		
	},
	-- Subtitle
	{
		type = "TextLabel",		
		position = {4, 15},
		size = {208, 14},
		Text = {
			textStyle = "IGHeading2",
			text = "$2899", -- PLAYERS//
			offset = {1,0},
		},		
	},
	
	-- player buttons
	{
		type = "Frame",
		position = { 3, 31},
		autosize = 1,
		borderColor = "IGColorOutline",
		outerBorderWidth = 1,
		;
		
		{
			type = "Frame",
			position = { 0, 0},
			autosize = 1,
			autoarrange = 1,
			;
		
			{
				type = "Button",
				name = "player1",
				buttonStyle = "DiplomacyScreen_PlayerButtonStyle",
			},
			{
				type = "Button",
				name = "player2",
				buttonStyle = "DiplomacyScreen_PlayerButtonStyle",
			},
			{
				type = "Button",
				name = "player3",
				buttonStyle = "DiplomacyScreen_PlayerButtonStyle",
			},
			{
				type = "Button",
				name = "player4",
				buttonStyle = "DiplomacyScreen_PlayerButtonStyle",
			},
			{
				type = "Button",
				name = "player5",
				buttonStyle = "DiplomacyScreen_PlayerButtonStyle",
			},
		},
		
		{
			type = "TextLabel",
			name = "helpTip",
			position = { 0, 135},
			size = { 345, 19},
			borderWidth = 1,
			borderColor = "IGColorOutline",
			Text = {
				textStyle = "IGHelpTipTextStyle",
				offset = {4,0},
			},
		},
		
		{
			type = "Frame",
			position = { 0, 154},
			size = { 345, 19},
			borderWidth = 1,
			borderColor = "IGColorOutline",
			;
			
			{
				type = "TextButton",
				position = { 3, 3},
				width = 345-6,
				buttonStyle = "DiplomacyScreen_ButtonStyle",
				text = "$2642",  -- CLOSE
				onMousePressed = "UI_ToggleScreen( 'DiplomacyScreen', 0)",
				helpTipTextLabel = "helpTip",
				helpTip = "$2923",
			},
		},
		
		{
			type = "Frame",
			position = { 219, 0},
			size = { 126, 135},
			borderWidth = 1,
			borderColor = "IGColorOutline",
		},
	},

	-- action buttons
	{
		type = "TextButton",
		name = "requestAlliance",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		position = {225, 34},
		width = 120,
		text = "$2901", -- Request Alliance
		helpTipTextLabel = "helpTip",
		helpTip = "$2914",
	},
	{
		type = "TextButton",
		name = "breakAlliance",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		position = {225, 49},
		width = 120,
		text = "$2902", -- Break Alliance
		helpTipTextLabel = "helpTip",
		helpTip = "$2915",
	},
	{
		type = "TextButton",
		name = "ignoreAlliance",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		position = {225, 64},
		width = 120,
		text = "$2903", -- Ignore Alliance
		helpTipTextLabel = "helpTip",
		helpTip = "$2916",
	},

	{
		type = "TextButton",
		name = "transferShips",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		position = {225, 64+15},
		width = 120,
		text = "$2908", -- Transfer Selected Ships
		helpTipTextLabel = "helpTip",
		helpTip = "$2917",
	},
	{
		type = "TextButton",
		name = "surrenderButton",
		position = {225, 64+15+15+6},
		width = 120,
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		text = "$2913",  -- SURRENDER
		onMouseClicked = "FE_Retire(\"UI_HideScreen('DiplomacyScreen')\")", -- Diplomacy screen will be hidden on confirmation accept
		helpTipTextLabel = "helpTip",
		helpTip = "$2918",
	},

	-- donate RU buttons and label
	{
		type = "TextLabel",
		position = { 225, 105+20},
		autosize = 1,
		Text = {
			textStyle = "FEButtonTextStyle",
			text = "$2909", -- Donate RUs
			hAlign = "Left",
		},
	},
	{
		type = "TextButton",
		name = "donate500",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		--position = {285, 105},
		position = {286-61, 135},
		width = 59,
		text = "500",
		helpTipTextLabel = "helpTip",
		helpTip = "$2919",
	},
	{
		type = "TextButton",
		name = "donate1000",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		--position = {285, 120},
		position = {286, 135},
		width = 59,
		text = "1000",
		helpTipTextLabel = "helpTip",
		helpTip = "$2920",
	},
	{
		type = "TextButton",
		name = "donate5000",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		--position = {285, 135},
		position = {286-61, 150},
		width = 59,
		text = "5000",
		helpTipTextLabel = "helpTip",
		helpTip = "$2921",
	},
	{
		type = "TextButton",
		name = "donateAll",
		buttonStyle = "DiplomacyScreen_ButtonStyle",
		position = {286, 150},
		width = 59,
		text = "$2910", -- ALL
		helpTipTextLabel = "helpTip",
		helpTip = "$2922",
	},
}
