DIALOGWIDTH = 284
MOREINFOWIDTH = DIALOGWIDTH - 7
MOREINFOHEIGHT = 100

ErrorMessage = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",
	pixelUVCoords = 1, 
	
	RootElementSettings = {
		backgroundColor = "FEColorBackground2",
	},
	
	soundOnShow = "SFX_ErrorMessage",
	
	-- justification positions for the moreinfo and accept buttons
	jRight = DIALOGWIDTH - 6 - 122,
	jCenter = ((DIALOGWIDTH - 6) / 2) - 60,
	jLeft = 3,
	
	-- text strings for warning message, instead of error message
	warningTitle = "$5598",--WARNING
	warningSubTitle = "$5599",--MESSAGE//
	;
		
	{
		type = "Frame",
		name = "m_frmDialogRoot",
		size = {DIALOGWIDTH, 100},
		backgroundColor = "FEColorDialog",
		autosize = 1,
		marginHeight = 1,
		;
		
		-- background gradient frame
		{
			type = "Frame",
			style = "FEPopupBackgroundStyle",
			position = {2,2},
			size = {DIALOGWIDTH-4, 96},
		},
		-- header lines
		{
			type = "Frame",
			position = {2, 2},
			size = {DIALOGWIDTH-4, 31},
			;
			{
				type = "Frame",
				outerBorderWidth = 2,
				position = {2,2},
				borderColor = "FEColorPopupOutline",
				size = {DIALOGWIDTH-8, 38}, -- clip the bottom line off
			},	
		},
		
		{
			type = "Frame",
			position = {1,0},
			autosize = 1,
			autoarrange = 1,
			autoarrangeWidth = DIALOGWIDTH-2,	
			autoarrangeSpace = 2,
			;
		
			-- Title / Subtitle frame
			{
				type = "Frame",
				size = {DIALOGWIDTH-5, 29},			
				;
				
				-- Title
				{
					type = "TextLabel",
					name = "m_lblTitle",
					position = {4,0},
					size = {DIALOGWIDTH-10, 13},
					Text = {
						textStyle = "FEHeading3",
						text = "$3610", --ERROR
					},
				},
				
				-- Subtitle
				{
					type = "TextLabel",
					name = "m_lblSubTitle",
					position = {4,15},
					size = {DIALOGWIDTH-10, 10},
					Text = {
						textStyle = "FEHeading4",
						text = "$3611",	--ERROR MESSAGE//		
					},
				},
			},
			
			-- Contents frame (border)
			{
				type = "Frame",
				name = "m_frmBorderRoot",
				outerBorderWidth = 1,
				position = {3,30},
				autosize = 1,
				borderColor = "FEColorPopupOutline",
				autoarrange = 1,
				;
				
				-- Error Message frame
				{
					type = "Frame",
					name = "m_frmMessageLabel",
					borderWidth = 1,
					borderColor  = "FEColorPopupOutline",
					autosize = 1,
					autoarrange = 1,
					;
					
					-- ErrorMessage Label
					{
						type = "TextLabel",
						name = "m_lblErrorMessage",
						width = DIALOGWIDTH - 6,
						autosize = 1,
						wrapping = 1,
						marginHeight = 4,
						marginWidth = 4,
						minSize = {0,50},
						name = "m_lblErrorMessage",
						Text = {
							textStyle = "FEHelpTipTextStyle",
							vAlign = "Top",
						},
						;
					},
					
					-- 
					{
						type = "Frame",
						name = "m_frmDontShowAgain",
						size = {DIALOGWIDTH - 6, 19},
						;
						-- Do not show again check box
						{
							type = "Button",
							name = "m_chkDontShowAgain",
							buttonStyle = "FECheckBoxButtonStyle",
							position = {3,3},
						},
						{
							type = "TextLabel",
							position = {20,4},
							size = {DIALOGWIDTH - 30, 13},
							Text = {
								textStyle = "FEHeading4",
								text = "$3612",--DO NOT SHOW THIS MESSAGE AGAIN
								vAlign = "Middle",
							},
						},
					},
				},
				
				-- More info frame
				{
					type = "Frame",
					name = "m_frmMoreInfoRoot",
					borderWidth = 1,
					borderColor  = "FEColorPopupOutline",
					autosize = 1,
					;
					{
						type = "Frame",
						name = "m_frmMoreInfo",
						position = {1,1},
						size = {MOREINFOWIDTH, MOREINFOHEIGHT},
					},
				},
				
				-- Button tray frame
				{
					type = "Frame",
					name = "m_frmButtons",
					size = {DIALOGWIDTH - 6, 19},					
					borderWidth = 1,
					borderColor = "FEColorPopupOutline",
					;
					
					-- More Info button
					{
						visible = 1,
						type = "TextButton",
						position = {2, 3},  --CUSTOM JUSTIFIED (SEE TOP OF FILE)
						buttonStyle = "FEButtonStyle1",
						name = "m_btnMoreInfo",
						Text = {
							textStyle = "FEButtonTextStyle",
							text = "$3613",
						},
					},
				
					-- Accept button
					{
						type = "TextButton",
						position = {DIALOGWIDTH - 6 - 122, 3}, --CUSTOM JUSTIFIED (SEE TOP OF FILE)
						name = "m_btnAccept",
						width = 120,
						buttonStyle = "FEButtonStyle2",
						Text = {
							textStyle = "FEButtonTextStyle",
							text = "$3614",--OK
						},
					},
					
					-- Accept wide (accept button takes up whole width of message box)
					{
						type = "TextButton",
						position = {3,3},
						name = "m_btnAcceptWide",
						width = DIALOGWIDTH - 12,
						buttonStyle = "FEButtonStyle2",
						Text = {
							textStyle = "FEButtonTextStyle",
							text = "$3614",--OK
						},
					},
				},
			},
		
		},
	},
}

	