dofilepath("data:ui/newui/multiplayer/chatui.lua")

GAMELIST_W = 776
GAMELIST_H = 177
GAMELIST_X = 12
GAMELIST_Y = 68

LANGAMELIST_W = 776
LANGAMELIST_H = 391
LANGAMELIST_X = 12
LANGAMELIST_Y = 97

LobbyScreen = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",

	RootElementSettings = {
		--backgroundColor = "FEColorBackground1",
	},

	-- custom
	enabledGameColor = {1,1,1,1},
	disabledGameColor = {0.3,0.3,0.3,1},

	-- Localizer format IDs for broadcast and whisper chat messages.  These should be the same in all screens ChatUI is used.
	sayFormatID = 3364,
	whisperFormatID = 3365,	
	whisperEchoFormatID = 3369,
	playerJoinedFormatID = 3525,
	playerLeftFormatID = 3526,
	
	ErrorMessages = 
	{
		[ LM_Joining ] 			= "$3620",--"Joining Room",
		-- Note: This disconnected from server is the same message as in GameSetup.lua and ServerRoom.lua so it can share a localizer ID
		[ LM_Disconnected ] 		= "$3621",--"Disconnected from server",
		[ LM_CouldNotJoinRoom ] 	= "$3622",--"Unable to join room",
	}, 
	
	pixelUVCoords = 1,
	
	
	;

{
	type = "Frame",
	position = {0,0},
	size = {800,600},
	name = "frmTheRoot",
	;


	--DEFINITION FOR: (txtLbl) TITLE
	{
		type = "TextLabel",
		position = {14,-2},
		size = {650,36},
		name = "txtLblTITLE",
		Text = {
			text = "$3410",
			textStyle = "FEHeading1",
		},
		;
	},

	--DEFINITION FOR: (txtLbl) SUBTITLE
	{
		type = "TextLabel",
		position = {15,34},
		size = {650,21},
		name = "txtLblSUBTITLE",
		Text = {
			text = "$3411",
			textStyle = "FEHeading2",
		},
		;
	},
	
	--DEFINITION FOR: (txtLbl) SUBTITLE (visible for LAN games only)
	{
		type = "TextLabel",
		position = {15,34},
		size = {650,21},
		name = "txtLblSUBTITLELAN",
		Text = {
			text = "$3441", -- LOCAL AREA NETWORK
			textStyle = "FEHeading2",
		},
		;
	},

	--DEFINITION FOR: (frmgr) 1gamespy.tga
	{
		type = "Frame",
		BackgroundGraphic = {
			type = "Graphic",
			size = {128,32},
			texture = "Data:UI\\NewUI\\Network\\gamespy.mres",
			textureUV = {0.0,0.0,128,32},
		},
		position = {656,9},
		size = {128,32},
		name = "frmgr1gamespytga",
		;
	},

	--DEFINITION FOR: (frmgr) 1gamespy.tga (visible for LAN games only)
	{
		type = "Frame",
		BackgroundGraphic = {
			type = "Graphic",
			size = {128,35},
			texture = "Data:UI\\NewUI\\Network\\relic.mres",
			textureUV = {0.0,0.0,128,35},
		},
		position = {656,5},
		size = {128,35},
		name = "frmgr1relictgaLAN",
		;
	},
	
	

	------------------------------------------------------------------------------------
	-- GAME LIST FRAME - (GAMESPY) - This panel is visible for gamespy only
	------------------------------------------------------------------------------------
	--DEFINITION FOR: (frmRoot) Game (GAMESPY)
	{
		type = "Frame",
		backgroundColor = "FEColorBackground1",
		--position = {6,69},
		--size = {401,469},
		position = {GAMELIST_X, GAMELIST_Y},
		size = {GAMELIST_W, GAMELIST_H},
		name = "frmRootGame",
		;
		
		-- Table Border frame
		{
			type = "Frame",
			position = {2, 31},
			
			--size = {397, 436},
			size = {GAMELIST_W - 4, GAMELIST_H - 33},
			borderWidth = 2,
			borderColor = "FEColorOutline",
			--backgroundColor = {0,255,0,255},
			--autosize = 1,
			;
			
			-- Horz line
			{
				type = "Line",
				p1 = {0, 21},
				--p2 = {397, 21},
				p2 = {GAMELIST_W - 4, 21},
				lineWidth = 2,
				above = 0,
				color = "FEColorOutline",
			},
			
			-- Vert line
			{
				type = "Line",
				--p1 = {378, 0},
				--p2 = {378, 436},
				p1 = {GAMELIST_W - 23, 0},
				p2 = {GAMELIST_W - 23, GAMELIST_H - 33},
				lineWidth = 2,
				above = 0,
				color = "FEColorOutline",
			},
			
		
			-- DEFINITION FOR (tbl) tableGames
			{
				type = "Table",
				name = "tableGames",
				position = {4,4},
				
				size = {GAMELIST_W - 12, GAMELIST_H - 41},
				--size = {389,428},
				
				backgroundColor = {0,0,0,100},
				tableStyle = "FETableStyle",
				
				Columns = {
					;
					-- GAME HOST
					{
						width = 180,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3623",--"SORT GAMES BY GAME HOST",
							;
							{
								name = "TableTitleGameHost",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3435",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- MAP
					{
						width = 180,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3624",--SORT GAMES BY MAP NAME
							;
							{
								name = "TableTitleMap",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3436",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- GAME MODE
					{
						width = 100,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3625",--SORT GAMES BY GAME MODE
							;
							{
								name = "TableTitleGameMode",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3437",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- PLAYERS
					{
						width = 80,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3626",--SORT GAMES BY GAME PLAYERS
							;
							{
								name = "TableTitlePlayers",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3438",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- PING
					{
						width = 80,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3627",--SORT GAMES BY PING
							;
							{
								name = "TableTitlePing",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3439",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- VERSION
					{
						width = 115,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3628",--SORT GAMES BY GAME VERSION
							;
							{
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3440",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
				},
			},	
		},
		
		--DEFINITION FOR: (txtLbl) GAME
		{
			type = "TextLabel",
			position = {6,4},
			size = {GAMELIST_W,15},
			name = "txtLblGAME",
			Text = {
				text = "$3412",
				textStyle = "FEHeading3",
			},
			;
		},

		--DEFINITION FOR: (txtLbl) SELECT_A_GAME
		{
			type = "TextLabel",
			backgroundColor = {25,25,25,0},
			position = {6,19},
			size = {GAMELIST_W,10},
			name = "txtLblSELECTAGAME",
			Text = {
				text = "$3414",
				textStyle = "FEHeading4",
			},
			;
		},
		
		--DEFINITION FOR: (txtBtn) REFRESH
		{
			type = "TextButton",
			buttonStyle = "FEButtonStyle1",
			position = {630,10},
			name = "txtBtnREFRESH",
			Text = {
				text = "$3421",
				textStyle = "FEButtonTextStyle",
			},
			helpTipTextLabel = "m_lblHelpText",
			helpTip = "$3631",--REFRESH THE LIST OF GAMES
			;
		},
	},
	
	
	------------------------------------------------------------------------------------
	-- GAME LIST FRAME (LAN) - This panel is for LAN game only
	------------------------------------------------------------------------------------
	--DEFINITION FOR: (frmRoot) Game (LAN)
	{
		type = "Frame",
		backgroundColor = "FEColorBackground1",
		--position = {6,69},
		--size = {401,469},
		position = {LANGAMELIST_X, LANGAMELIST_Y},
		size = {LANGAMELIST_W, LANGAMELIST_H},
		name = "frmRootGameLAN",
		;
		
		-- Table Border frame
		{
			type = "Frame",
			position = {2, 31},
			
			--size = {397, 436},
			size = {LANGAMELIST_W - 4, LANGAMELIST_H - 33},
			borderWidth = 2,
			borderColor = "FEColorOutline",
			--backgroundColor = {0,255,0,255},
			--autosize = 1,
			;
			
			-- Horz line
			{
				type = "Line",
				p1 = {0, 21},
				--p2 = {397, 21},
				p2 = {GAMELIST_W - 4, 21},
				lineWidth = 2,
				above = 0,
				color = "FEColorOutline",
			},
			
			-- Vert line
			{
				type = "Line",
				--p1 = {378, 0},
				--p2 = {378, 436},
				p1 = {LANGAMELIST_W - 23, 0},
				p2 = {LANGAMELIST_W - 23, LANGAMELIST_H - 33},
				lineWidth = 2,
				above = 0,
				color = "FEColorOutline",
			},
			
		
			-- DEFINITION FOR (tbl) tableGames
			{
				type = "Table",
				name = "tableGamesLAN",
				position = {4,4},
				
				size = {LANGAMELIST_W - 12, LANGAMELIST_H - 41},
				--size = {389,428},
				
				backgroundColor = {0,0,0,100},
				tableStyle = "FETableStyle",
				
				Columns = {
					;
					-- GAME HOST
					{
						width = 180,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3623",--"SORT GAMES BY GAME HOST",
							;
							{
								name = "TableTitleGameHost",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3435",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- MAP
					{
						width = 180,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3624",--SORT GAMES BY MAP NAME
							;
							{
								name = "TableTitleMap",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3436",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- GAME MODE
					{
						width = 100,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3625",--SORT GAMES BY GAME MODE
							;
							{
								name = "TableTitleGameMode",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3437",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- PLAYERS
					{
						width = 80,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3626",--SORT GAMES BY GAME PLAYERS
							;
							{
								name = "TableTitlePlayers",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3438",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- PING
					{
						width = 80,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3627",--SORT GAMES BY PING
							;
							{
								name = "TableTitlePing",
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3439",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- VERSION
					{
						width = 115,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$3628",--SORT GAMES BY GAME VERSION
							;
							{
								type = "TextButton",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3440",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
				},
			},	
		},
		
		--DEFINITION FOR: (txtLbl) GAME
		{
			type = "TextLabel",
			position = {6,4},
			size = {LANGAMELIST_W,15},
			name = "txtLblGAME",
			Text = {
				text = "$3412",
				textStyle = "FEHeading3",
			},
			;
		},

		--DEFINITION FOR: (txtLbl) SELECT_A_GAME
		{
			type = "TextLabel",
			backgroundColor = {25,25,25,0},
			position = {6,19},
			size = {LANGAMELIST_W,10},
			name = "txtLblSELECTAGAME",
			Text = {
				text = "$3414",
				textStyle = "FEHeading4",
			},
			;
		},
		
		--DEFINITION FOR: (txtBtn) REFRESH
		{
			type = "TextButton",
			buttonStyle = "FEButtonStyle1",
			position = {630,10},
			name = "txtBtnREFRESHLAN",
			Text = {
				text = "$3421",
				textStyle = "FEButtonTextStyle",
			},
			helpTipTextLabel = "m_lblHelpText",
			helpTip = "$3631",--REFRESH THE LIST OF GAMES
			;
		},
	},



	------------------------------------------------------------------------------------
	-- LOBBY CHAT FRAME
	------------------------------------------------------------------------------------
	--position = {414,69},
	--size = {380,469},
	--GetChatTable(414,69, 380,469),
	GetChatTable(12, 252, 776, 285),
	
	
	
	
	------------------------------------------------------------------------------------
	-- BOTTOM NAVIGATION FRAME
	------------------------------------------------------------------------------------
	{
		type = "Frame",
		backgroundColor = "FEColorBackground1",
		position = {12,544},
		size = {776,44},
		name = "frmRootbottombigfrm",
		;
		-- OUTLINE FRAME
		{
			type = "Frame",
			borderWidth = 2,
			borderColor = "FEColorOutline",
			position = {2,2},
			size = {772,40},
			name = "frmbottomframe",
			;
			
			-- HELP TEXT
			{
				type = "TextLabel",
				position = {4,4},
				size = {764,13},
				name = "m_lblHelpText",
				Text = {					
					textStyle = "FEHelpTipTextStyle",
				},
				;
			},
			
			-- LINE
			{
				type = "Line",
				above = 0,
				lineWidth = 2,
				color = "FEColorOutline",				
				p1 = {2, 19},
				p2 = {770, 19},
				
			},
			
			-- BUTTONS	
			--DEFINITION FOR: (txtBtn) BACK
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				position = {4,23},
				name = "txtBtnBACK",
				Text = {
					text = "$3433",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3629",--GO BACK TO THE PREVIOUS MENU
				;
			},

			--DEFINITION FOR: (txtBtn) JOIN_GAME
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle2",
				position = {648,23},
				name = "txtBtnJOINGAME",
				Text = {
					text = "$3417",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3630",--JOIN THE SELECTED GAME
				;
			},

			

			--DEFINITION FOR: (txtBtn) GAME_INFO
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				
				position = {126,23},
				name = "txtBtnGAMEINFO",
				Text = {
					text = "$3422",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3632",--SHOW GAME INFORMATION FOR THE SELECTED GAME
				;
			},
			
			--DEFINITION FOR: (txtBtn) FILTERS
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				--position = {370,23},
				position = {248,23},
				name = "txtBtnFILTERS",
				Text = {
					text = "$3401",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3633",--FILTER THE LIST OF DISPLAYED SERVERS
				;
			},			

			--DEFINITION FOR: (txtBtn) HOST_GAME
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				position = {526,23},
				name = "txtBtnHOSTGAME",
				Text = {
					text = "$3418",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3634",
				;
			},
		},
	},
}
}
