-- load key bindings frame
dofilepath("data:ui/newui/controlstab.lua")

InGameOptions = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",
	pixelUVCoords = 1, 
	
	RootElementSettings = {
		backgroundColor = {0,0,0,0}, --"FEColorBackground1",
	},
	
	onShow = "MainUI_PushEnabledCommandState(); MainUI_DisableAllCommands(1); MainUI_DisableCommand(eExit, 0);",
	onHide = "MainUI_DisableCommand(eExit, 1); MainUI_PopEnabledCommandState()",
	
	;
	
	{
		type = "Frame",
		size = {498, 228},
		position = {151, 150},
		backgroundColor = "FEColorDialog",
		;
		
		-- gradient header frame w/border
		{
			type = "Frame",
			outerBorderWidth = 2,
			position = {4, 4},
			size = {490, 28},
			borderColor = "FEColorPopupOutline",
			style = "FEPopupBackgroundStyle",
		},
			
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {220, 13},
			Text = {
				textStyle = "FEHeading3",
				text = "$5108",
			},
		},
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10,17},
			size = {220, 10},
			name = "m_lblSubTitle",
			Text = {
				textStyle = "FEHeading4",
				text = "$5173",
			},
		},
		
		-- Tab buttons
		{
			type = "Frame",
			position = {124,17},
			autoarrange = 1,
			autoarrangeWidth = 380,
			autoarrangeSpace = 2,
			size = {370, 17},
			;
			
			{
				type = "RadioButton",
				name = "m_btnVideo",
				buttonStyle = "IGTabButtonStyle",
				Text = {
					text = "$5111",
					textStyle = "FEButtonTextStyle",
				},
				
				helpTipTextLabel = "m_lblHelpText", 
				helpTip = "$5241", -- "CHANGE VIDEO SETTINGS",
				
				enabled = 0, -- HOOKUP AFTER E3
				visible = 0, -- TODO
			},
			
			{
				type = "RadioButton",
				name = "m_btnControls",
				buttonStyle = "IGTabButtonStyle",
				Text = {
					text = "$5109",
					textStyle = "FEButtonTextStyle",
				},
				
				helpTipTextLabel = "m_lblHelpText", 
				helpTip = "$5239", -- "CHANGE KEYBOARD AND CONTROL SETTINGS",
			},
			{
				type = "RadioButton",
				name = "m_btnGameplay",
				buttonStyle = "IGTabButtonStyle",
				Text = {
					text = "$5144",
					textStyle = "FEButtonTextStyle",
				},
				
				helpTipTextLabel = "m_lblHelpText", 
				helpTip = "$5240", --"CHANGE GAMEPLAY AND CAMERA SETTINGS",
				
				enabled = 1,
			},
			{
				type = "RadioButton",
				name = "m_btnAudio",
				buttonStyle = "IGTabButtonStyle",
				Text = {
					text = "$5110",
					textStyle = "FEButtonTextStyle",
				},
				
				helpTipTextLabel = "m_lblHelpText", 
				helpTip = "$5242", -- "CHANGE AUDIO SETTINGS",
				
				enabled = 1,
				visible = 1, -- TODO
			},
		},
		
		-- Contents frame
		{
			type = "Frame",
			outerBorderWidth = 2,
			position = {4, 34},
			size = {490, 190},
			borderColor = "FEColorPopupOutline",
			;
		
			
			-- TAB FRAMES
			{
				type = "Frame",
				position = {0,0},
				backgroundColor = {0,0,0,0},
				size = {490, 152},
				;
			
				-- GAMEPLAY TAB FRAME
				{
					type = "Frame",
					name = "m_tabGameplay",
					size = {490, 152},
					;
					
					{
						type = "Frame",
						position = {4,17},
						size = {484, 134},
						autoarrange = 1,
						autoarrangeSpace = 2,
						autoarrangeWidth = 490,
						;
						
						-- OPTION FRAMES
						
						-- ORDER FEEDBACK SLIDER
						{
							type = "Frame",
							size = {482, 17},
							;
							
							{
								type = "TextLabel",
								size = {206,17},
								Text = {
									textStyle = "FEHeading4",
									text = "$5145",
								},
							},
							
							{
								type = "TextLabel",
								name = "lblOrderFeedback",
								position = {228, 2},
								style = "FESliderLabelStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5243", -- "AMOUNT OF TIME ORDER FEEBACK REMAINS ON SCREEN",
							},
							
							{
								type = "ScrollBar",
								name = "m_sbarOrderFeedback",
								sliderTextLabel = "lblOrderFeedback",
								position = {270, 2},
								scrollBarStyle = "FESliderStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5244", -- "ADJUST THE ORDER FEEDBACK DELAY",
							},
						},
						
						-- SPACER
						{
							type = "Frame",
							size = {482, 13},
						},
						
						-- ENABLE NLIPS CHECKBOX
						{
							type = "Frame",
							size = {482, 15},
							;
							
							{
								type = "TextLabel",
								size = {206,15},
								position = {20, 0},
								Text = {
									textStyle = "FEHeading4",
									text = "$5146",
								},
							},
							
							{
								type = "Button",
								name = "m_chkNLIPS",
								--position = {228, 0},
								buttonStyle = "FECheckBoxButtonStyle",
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5248", -- "TOGGLE NLIPS (NON LINEAR INVERSE PERSPECTIVE SCALING)",
							},
						},
						
						
						-- ENABLE MOUSE PAN CHECKBOX
						{
							type = "Frame",
							size = {482, 15},
							;
							
							{
								type = "TextLabel",
								size = {206,15},
								position = {20, 0},
								Text = {
									textStyle = "FEHeading4",
									text = "$5147",
								},
							},
							
							{
								type = "Button",
								name = "m_chkScreenPan",
								--position = {228, 0},
								buttonStyle = "FECheckBoxButtonStyle",
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5247", -- "TOGGLE EDGE OF SCREEN PANNING",
							},
						},
						
						-- ENABLE MILITARY PRIORITY CHECKBOX
						{
							type = "Frame",
							size = {482, 15},
							;
							
							{
								type = "TextLabel",
								size = {206,15},
								position = {20, 0},
								Text = {
									textStyle = "FEHeading4",
									text = "$5148",
								},
							},
							
							{
								type = "Button",
								name = "m_chkMilitarySelection",
								--position = {228, 0},
								buttonStyle = "FECheckBoxButtonStyle",
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5279", -- "WHILE BANDBOXING PRIORITY WILL BE GIVEN TO MILITARY UNITS",
							},
						},
						-- TOGGLE RIGHT CLICK MENU
						{
							type = "Frame",
							size = {482, 15},
							;
							
							{
								type = "TextLabel",
								size = {206,15},
								position = {20, 0},
								Text = {
									textStyle = "FEHeading4",
									text = "$5092", -- ENABLE RIGHT CLICK MENU
								},
							},
							
							{
								type = "Button",
								--position = {228, 0},
								name = "m_chkRightClickMenu",
								enabled = 1,
								buttonStyle = "FECheckBoxButtonStyle",
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5091", -- ENABLE / DISABLE THE SHIFT RIGHT CLICK MENU
							},
						},
					},
				},
				
				-- AUDIO TAB FRAME
				{
					type = "Frame",
					name = "m_tabAudio",
					size = {490, 152},
					;
					
					{
						type = "Frame",
						position = {4,17},
						size = {484, 134},
						autoarrange = 1,
						autoarrangeSpace = 2,
						autoarrangeWidth = 490,
						;
						
						-- OPTION FRAMES
						
						-- SFX VOLUME SLIDER
						{
							type = "Frame",
							size = {482, 17},
							;
							
							{
								type = "TextLabel",
								size = {206,17},
								Text = {
									textStyle = "FEHeading4",
									text = "$5149",
								},
							},
							
							{
								type = "TextLabel",
								name = "lblSFXVolume",
								position = {228, 2},
								style = "FESliderLabelStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5249", -- "SOUND EFFECTS VOLUME",
							},
							
							{
								type = "ScrollBar",
								name = "m_sbarSFXVolume",
								sliderTextLabel = "lblSFXVolume",
								position = {270, 2},
								scrollBarStyle = "FESliderStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5250", -- "ADJUST THE VOLUME OF THE SOUND EFFECTS",
							},
						},
						
						-- SPEECH VOLUME SLIDER
						{
							type = "Frame",
							size = {482, 17},
							;
							
							{
								type = "TextLabel",
								size = {206,17},
								Text = {
									textStyle = "FEHeading4",
									text = "$5150",
								},
							},
							
							{
								type = "TextLabel",
								name = "lblSpeechVolume",
								position = {228, 2},
								style = "FESliderLabelStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5253", -- "FLEET COMMAND SPEECH VOLUME",
							},
							
							{
								type = "ScrollBar",
								name = "m_sbarSpeechVolume",
								sliderTextLabel = "lblSpeechVolume",
								position = {270, 2},
								scrollBarStyle = "FESliderStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5252", -- "ADJUST THE VOLUME OF THE FLEET COMMAND SPEECH",
							},
						},
						
						-- MUSIC VOLUME SLIDER
						{
							type = "Frame",
							size = {482, 17},
							;
							
							{
								type = "TextLabel",
								size = {206,17},
								Text = {
									textStyle = "FEHeading4",
									text = "$5151",
								},
							},
							
							{
								type = "TextLabel",
								name = "lblMusicVolume",
								position = {228, 2},
								style = "FESliderLabelStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5253", -- "BACKGROUND MUSIC VOLUME",
							},
							
							{
								type = "ScrollBar",
								name = "m_sbarMusicVolume",
								sliderTextLabel = "lblMusicVolume",
								position = {270, 2},
								scrollBarStyle = "FESliderStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5254", -- "ADJUST THE VOLUME OF THE BACKGROUND MUSIC",
							},
						},
						-- UI VOLUME SLIDER
						{
							type = "Frame",
							size = {482, 17},
							;
							
							{
								type = "TextLabel",
								size = {206,17},
								Text = {
									textStyle = "FEHeading4",
									text = "$5589", -- UI VOLUME
								},
							},
							
							{
								type = "TextLabel",
								name = "lblUIVolume",
								position = {228, 2},
								style = "FESliderLabelStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5255", -- "ui VOLUME",
							},
							
							{
								type = "ScrollBar",
								name = "m_sbarUIVolume",
								sliderTextLabel = "lblUIVolume",
								position = {270, 2},
								scrollBarStyle = "FESliderStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5256", -- "ADJUST THE VOLUME OF THE BACKGROUND MUSIC",
							},
						},
						
						-- SPACER
						--{
						--	type = "Frame",
						--	size = {482, 13},
						--},
						
						-- BATTLE CHATTER FREQUENCY
						{
							type = "Frame",
							size = {482, 13},
							visible = 1,
							;
							
							{
								type = "TextLabel",
								size = {206,13},
								Text = {
									textStyle = "FEHeading4",
									text = "$5121",
								},
							},
								
							{
								type = "DropDownListBox",
								name = "m_comboBattleChatter",
								position = {228, 0},
								size = {254, 13},
								dropDownListBoxStyle = "FEDropDownListBoxStyle",
								selected = 1,
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5090", -- 
								
								ListBox = {
									type = "ListBox",
									width = 254,
									listBoxStyle = "FEListBoxStyle",
									backgroundColor = {0,0,0,255},
									;	
								
									{
										type = "TextListBoxItem",
										buttonStyle = "FEListBoxItemButtonStyle",
										Text = {
											text = "$5094",
											textStyle = "FEListBoxItemTextStyle",
										},
										
										resizeToListBox = 1,
										
										helpTipTextLabel = "m_lblHelpText", 
										helpTip = "$5259", -- "LOWEST",
										
										customData = 25, -- 25/100
									},
									{
										type = "TextListBoxItem",
										buttonStyle = "FEListBoxItemButtonStyle",
										Text = {
											text = "$5095",
											textStyle = "FEListBoxItemTextStyle",
										},
										resizeToListBox = 1,
										
										helpTipTextLabel = "m_lblHelpText", 
										helpTip = "$5260", -- "STANDARD",
										
										customData = 70, -- 70/100
									},
									{
										type = "TextListBoxItem",
										buttonStyle = "FEListBoxItemButtonStyle",
										Text = {
											text = "$5096",
											textStyle = "FEListBoxItemTextStyle",
										},
										resizeToListBox = 1,
										
										helpTipTextLabel = "m_lblHelpText", 
										helpTip = "$5261", -- "HIGHEST",
										
										customData = 100, --100/100
									},
								},
							},
						},
						
						
						-- NUM SFX CHANNELS
						{
							type = "Frame",
							size = {482, 17},
							visible = 0,
							;
							
							{
								type = "TextLabel",
								size = {206,17},
								Text = {
									textStyle = "FEHeading4",
									text = "$5152",
								},
							},
							
							{
								type = "TextLabel",
								name = "lblSFXChannels",
								position = {208, 2},
								style = "FESliderLabelStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5257", -- "NUMBER OF SOUND EFFECTS CHANNELS",
							},
							
							{
								type = "ScrollBar",
								name = "m_sbarSFXChannels",
								sliderTextLabel = "lblSFXChannels",
								position = {270, 0},
								scrollBarStyle = "FESliderStyle",
								
								helpTipTextLabel = "m_lblHelpText", 
								helpTip = "$5258", -- "ADJUST THE NUMBER OF CHANNELS TO USE FOR SOUND EFFECTS",
							},
						},
						
						-- SPACER
						{
							type = "Frame",
							size = {482, 13},
						},
					},
				},
				
				-- VIDEO TAB FRAME
				{
					type = "Frame",
					name = "m_tabVideo",
					size = {490, 152},
					;
					
					{
						type = "Frame",
						position = {4,17},
						size = {484, 134},
						autoarrange = 1,
						autoarrangeSpace = 2,
						autoarrangeWidth = 490,
						;
						
						-- OPTION FRAMES
						{
							type = "Frame",
							size = {482, 13},
							;
							
							{
								type = "TextLabel",
								size = {206,13},
								Text = {
									textStyle = "FEHeading4",
									text = "$5154",
								},
							},
							
							{
								type = "Button",
								position = {208, 0},
								size = {274, 13},
								buttonStyle = "FEButtonStyle1",
							},
						},
					}
				},
				
				-- CONTROLS TAB FRAME
				{
					type = "Frame",
					name = "m_tabControls",
					size = {490, 152},
					;
					
					{
						type = "Frame",
						position = {0,0},
						size = {490, 152},
						;
						
						-- load the controls tab from data:ui/newui/controlstab.lua
						GetControlsTab(490, 152, "FEColorPopupOutline"),
					}
				},
			},
			
			
			
			----------------------------------------------------------------		
			{
				type = "Line",
				p1 = { 0, 154 },
				p2 = { 490, 154 },
				lineWidth = 2,
				color = "FEColorPopupOutline",
				above = 1,
			},
			
			-- Help text
			{
				type = "TextLabel",
				position = {10,158}, 
				size = {470,13},
				name = "m_lblHelpText",			
				Text = {				
					textStyle = "FEHelpTipTextStyle",
				},
				;
			},
			
			
			----------------------------------------------------------------
			{
				type = "Line",
				p1 = { 0, 173 }, -- 113
				p2 = { 490, 173 },
				lineWidth = 2,
				color = "FEColorPopupOutline",
				above = 1,
			},			
			
			-- Cancel button
			{
				type = "TextButton",
				--position = {2, 175},
				position = {368, 175},
				--width = 120,
				buttonStyle = "FEButtonStyle1",
				name = "m_btnCancel",
				helpTipTextLabel = "m_lblHelpText", 
				helpTip = "$5277", -- "DISCARD CHANGES AND RETURN TO MENU",
				Text = {
					textStyle = "FEButtonTextStyle",
					text = "$5156",
				},
			},
			
			-- Accept button
			{
				type = "TextButton",
				name = "m_btnAccept",
				position = {246, 175},
				--width = 120,
				helpTipTextLabel = "m_lblHelpText", 
				helpTip = "$5278", -- "APPLY CHANGES AND RETURN TO MENU",
				buttonStyle = "FEButtonStyle2",
				Text = {
					textStyle = "FEButtonTextStyle",
					text = "$5157",
				},		
			},
		},
	},
}

	