-- LUA CONFIG FOR THE MAIN MENU UISCREEN
NewMainMenu = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",
	
	RootElementSettings = {
		backgroundColor = {0,0,0,255}, -- black background for letterbox effect
	},
	
	-- Flags
	pixelUVCoords = 1, -- Enter pixel coords for texture coords
	
	--Hotkeys = {
	--	{ "FE_ExitToWindows()",INKE_KeyDown, 0, "Exit to operating system",    { ALTKEY, F4KEY } },
	--},
	;
	{
		type = "Frame",
		position = {0, 100},
		size = {800, 400},
		BackgroundGraphic = {
			size = { 800, 400 },
			texture = "DATA:UI/NewUI/Background/load_background.mres",
			textureUV = { 0, 56, 800, 455},
		},
	},
		
	-- Panel frame
	{
		type = "Frame",
		autosize = 1,
		backgroundColor = "FEColorBackground1",
		--backgroundColor =  {100,100,100,255},
		position = {513, 164},
		autoarrange = 1,
		autoarrangeWidth = 304,
		autoarrangeSpace = 0,
		maxSize = {273, 500},
		;
		
		-- Spacer
		{
			type = "Frame",
			size = {304, 2},			
		},
		
		-- Panel Title
		{
			type = "TextLabel",
			size = {304, 13},
			Text = {
				textStyle = "FEHeading3",
				text = "$2617",
				offset = {8,0},
			},
		},
		
		-- Spacer
		{
			type = "Frame",
			size = {304, 2},			
		},
		
		-- Panel Subtitle
		{
			type = "TextLabel",
			name = "m_lblSubTitle",			
			size = {304, 10},
			Text = {
				textStyle = "FEHeading4",
				text = "$2618",
				offset = {8,0},
			},
		},
		
		-- Spacer
		{
			type = "Frame",
			size = {304, 4},			
		},
		
		-- Left edge spacer
		{
			type = "Frame",
			size = {4, 50},
			--backgroundColor = {100,100,100,255},
		},
		
		-- Button Frame
		{
			type = "Frame",
			outerBorderWidth = 2,
			borderColor = "FEColorOutline",
			autosize = 1,
			autoarrange = 1,
			autoarrangeSpace = 2,
			autoarrangeWidth = 256,
			;
			
			-- Buttons		
			--{
			--	type = "TextButton",
			--	buttonStyle = "FEButtonStyle1",			
			--	name = "btnStartGame",	
			--	width = 240,
			--	text = "$2601", -- Quick Start (Player Vs. CPU),
			--	
			--	onMouseClicked = "UI_StartGameWithSelectedLevel(); ",			
			--},
			
			-- Level Drop Down List Box	
			--{
			--	type = "DropDownListBox",			
			--	width = 242,
			--	name = "listLevels",	
			--},	
			
			-- Spacer
			--{
			--	type = "Frame",
			--	size = {240, 15},
			--},
			
			
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",			
				text = "$2602", -- Tutorial,
				name = "btnTutorial",
				width = 240,
			},
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",			
				text = "$2603", -- Campaign,
				name = "btnCampaign",
				width = 240,
			},
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",			
				text = "$2604", -- Player VS CPU,
				name = "btnPlayerVsCPU",	
				width = 240,
			},	
			
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",						
				text = "$2614", -- Multiplayer (even newer)",
				name = "btnMultiplayer",
				width = 240,
				onMouseClicked ="UI_ShowScreen('ConnectionType', eTransition);",
			},			
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",		
				width = 240,
				enabled = 1,
				text = "$2605", -- Check for patch
				onMouseClicked ="UI_ShowScreen('PatchScreen', eTransition);",
			},		
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",			
				text = "$2616", -- Player Profiles",
				name = "btnProfile",
				width = 240,
				
				onMouseClicked = [[
					UI_SetNextScreen("UserProfile", "NewMainMenu");
					UI_SetPreviousScreen("UserProfile", "NewMainMenu");
					UI_ShowScreen("UserProfile", eTransition);
				]],
			},
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",			
				text = "$2607", -- Options",
				name = "btnOptions",
				width = 240,
				onMouseClicked = "UI_ShowScreen(\"FEGameOptions\", eTransition)",
			},
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				text = "$2608", -- Movies",
				name = "btnMovies",
				width = 240,
				onMouseClicked = "UI_ShowScreen(\"PlayMoviesScreen\", eTransition)",
			},
			
			
			-- Spacer (This keeps the width as well)
			{
				type = "Frame",
				size = {296, 15},
			},		
			
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle2",			
				text = "$2609", -- Exit",
				name = "btnExit",
				width = 240,
				onMouseClicked = "UI_ExitApp();",
			},
		},
		
		-- bottom Spacer
		{
			type = "Frame",
			size = {300,4},
			--backgroundColor = {100,100,100,255},
		},
	},
	
	
	
	
	
	
	{ -- Listbox Object to clone
		type = "TextListBoxItem",
		
		buttonStyle = "FEListBoxItemButtonStyle",
		
		name = "m_levelListBoxItem",
		
		visible = 0,
		enabled = 0,
		
		Text = {
			textStyle = "FEListBoxItemTextStyle",			
		},	
	},
		
	-- Comment out this frame if you dont want the build info...
	--{
	--	type = "Frame",
	--	autosize = 1,
	--	position = {2, 600 - 15},
	--	;
		
		-- Version number
		{
			type = "TextLabel",
			name = "lblVersion",
			size = {400, 13},
			position = {578-400,518-56},
			Text = {	
				text = "$1221",
				font = "ButtonFont",
				hAlign = "Right",
				vAlign = "Top",
				color = {119,166,191,255},
				offset = {-2, 0},
			},
		},
		
		-- Build number
		--{
		--	type = "TextLabel",
		--	name = "lblBuildNumber",
		--	visible = 0,
		--	size = {400, 13},
		--	position = {0,13},
		--	Text = {				
		--		font = "ListBoxItemFont",
		--		color = {255,255,255, 255},
		--	},
		--},
		
		-- Builder name
		--{
		--	type = "TextLabel",
		--	name = "lblBuilderName",
		--	visible = 0, 
		--	size = {400, 13},
		--	position = {0,26},
		--	Text = {				
		--		font = "ListBoxItemFont",
		--		color = {255,255,255, 255},
		--	},
		--},
		
		-- Data path
		--{
		--	type = "TextLabel",
		--	name = "lblDataPath",
		--	visible = 0,
		--	size = {400, 13},
		--	position = {0,39},
		--	Text = {				
		--		font = "ListBoxItemFont",
		--		color = {255,255,255, 255},
		--	},
		--},
	--},
	
	
}