-- Simple screen with 2 buttons, one for host direct game, 
-- another for join direct game.  This menu is used for direct
-- tcp/ip games only


WIDTH = 300--304
HEIGHT = 121--164

DirectConnection = {
	size = {400 - (WIDTH / 2), 300 - (HEIGHT/2), WIDTH, HEIGHT},
	stylesheet = "HW2StyleSheet",
	pixelUVCoords = 1, 
	
	RootElementSettings = {
		backgroundColor = "FEColorBackground1",
	},

	
	LocalizedMessages = 
	{
		[ LM_GameName ] 	= "$3035",--DirectConnection
	},	
	
	previousScreen = "NewMainMenu",
	;
	
	-- Title
	{
		type = "TextLabel",
		position = {10,2},
		size = {280, 13},
		Text = {
			textStyle = "FEHeading3",
			text = "$3036",--DIRECT TCP/IP
		},
	},
	
	-- Subtitle
	{
		type = "TextLabel",
		position = {10,17},
		size = {280, 10},
		Text = {
			textStyle = "FEHeading4",
			text = "$3037",--CHOOSE//
		},
	},
	
	
	-- Contents frame
	{
		type = "Frame",
		outerBorderWidth = 2,
		position = {4, 32},
		size = {WIDTH - 8, HEIGHT - 36},
		borderColor = "FEColorOutline",
		;
		
		{
			type = "Frame",
			autosize = 1,
			autoarrange = 1,
			autoarrangeSpace = 2,
			;
			-- Buttons:
			
			-- Host button
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				width = WIDTH-12,
				name = "m_btnHost",
				position = {2,2},	
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3038", --HOST A TCP/IP GAME
				
				Text = {
					text = "$3039", -- HOST
					textStyle = "FEButtonTextStyle",
				},
			},
			
			-- Join button
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				width = WIDTH-12,
				name = "m_btnJoin",
				position = {2, 17},	
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3040",--JOIN A HOST'S GAME
				
				Text = {
					text = "$3041", -- JOIN
					textStyle = "FEButtonTextStyle",
				},
				
				onMouseClicked = "UI_ShowScreen(\"IPConnect\", ePopup)",
			},
		},
		
		----------------------------------------------------------------		
		{
			type = "Line",
			p1 = { 0, HEIGHT - 72 },
			p2 = { WIDTH-6,  HEIGHT - 72 },
			lineWidth = 2,
			color = "FEColorOutline",
			above = 1,
		},
		
		-- Help text
		{
			type = "TextLabel",
			position = {4,HEIGHT-70}, -- 145
			size = {WIDTH-6,13},
			name = "m_lblHelpText",			
			Text = {				
				textStyle = "FEHelpTipTextStyle",
			},
			;
		},
		
		
		----------------------------------------------------------------
		{
			type = "Line",
			p1 = { 0, HEIGHT - 53 }, -- 125
			p2 = { WIDTH - 6, HEIGHT - 53 },
			lineWidth = 2,
			color = "FEColorOutline",
			above = 1,
		},			
		
		-- Back button
		{
			type = "TextButton",
			buttonStyle = "FEButtonStyle1",
			width = WIDTH-12,
			name = "m_btnBack",
			position = {2, HEIGHT - 51},
			helpTipTextLabel = "m_lblHelpText",
			helpTip = "$3042", --GO BACK TO CONNECTION SCREEN
			
			Text = {
				text = "$2610", -- BACK
				textStyle = "FEButtonTextStyle",
			},
			
			onMouseClicked = "UI_ShowScreen(\"ConnectionType\", eTransition)",
		},
	},
}

	

	