OUTLINECOLOR = {83,202,0,255}

NewLaunchMenu = {
	size = {586, 15, 212, 497},
	stylesheet = "HW2StyleSheet",
	
	RootElementSettings = {
		backgroundColor = "IGColorBackground1",
	},
	
	--
	soundOnShow = "SFX_LaunchMenuONOFF",
	soundOnHide = "SFX_LaunchMenuONOFF",
	
	shipHealthColor = {0,255,0,255},
	
	
	-- Flags
	pixelUVCoords = 1, -- Enter pixel coords for texture coords	

	onShow = "UI_SubtitleNarrow()",
	onHide = "UI_SubtitleWide()",

	
	-- custom values
	fstringDockedCount = "$2667",	-- localizer string to show number of docked ships, ie. "500/500"
	drawToShipLineWidth = 2,
	drawToShipLineStubLength = 10,	
	--drawToShipLineColor = {238,188,5,255},
	drawToShipLineColor = OUTLINECOLOR,
	drawToShipLineElement = "btnPrev", -- element to draw the toship line from (draws from the left edge)
	;

	-- Lines
	
	-- top of list box
	{
		type = "Line",
		p1 = {0, 144},
		p2 = {210, 144},
		above = 1,
		lineWidth = 2,
		color = OUTLINECOLOR,
	},
	
	-- line down the right hand side of the menu
	{
		type = "Line",
		p1 = {210, 2},
		p2 = {210, 495},
		above = 0,
		lineWidth = 2,
		color = OUTLINECOLOR,
	},
	
	-- line down the right hand side of the launch list box
	{
		type = "Line",
		p1 = {189, 144},
		p2 = {189, 441},
		above = 1,
		lineWidth = 2,
		color = OUTLINECOLOR,
	},
	
	-- bottom of list box
	{
		type = "Line",
		p1 = {0, 441},
		p2 = {210, 441},
		above = 1,
		lineWidth = 2,
		color = OUTLINECOLOR,
	},
	
	-- above bottom buttons
	{
		type = "Line",
		p1 = {0, 460},
		p2 = {210, 460},
		above = 1,
		lineWidth = 2,
		color = OUTLINECOLOR,
	},
	
	-- below bottom buttons
	{
		type = "Line",
		p1 = {0, 495},
		p2 = {210, 495},
		above = 1,
		lineWidth = 2,
		color = OUTLINECOLOR,
	},
	

	-- help tip	text label
	{
		type = "TextLabel",
		name = "helpTipTextLabel",
		position = { 0, 441 },
		size = { 210, 19},
		marginWidth = 6,
		Text = {
			textStyle = "IGHeading2",
			hAlign = "Left",
			color = { 255, 255, 255, 255},
		},
	},


	-- Title 
	{
		type = "TextLabel",		
		position = {0, 2},
		size = {210, 19},
		name = "lblTitle",
		Text = {
			textStyle = "IGHeading1",
			text = "$2660",  -- LAUNCH MENU
			offset = {4,0},
			color = {0,0,0,255},
		},
		backgroundColor = OUTLINECOLOR,
		;
		
		-- Close button
		{
			type = "Button",
			position = {193, 2},
			buttonStyle = "IGCloseButton",
			onMouseClicked = "UI_HideScreen('NewLaunchMenu')",
			
			helpTip = "$5221", -- CLOSE WINDOW
			helpTipTextLabel = "commandsHelpTip",
			helpTipScreen = "NewTaskbar",
			hotKeyID = 53,
		},
	},
	
	-- Ship graphic
	{	
		type = "Frame",
		position = {3, 35},
		size = {200, 64},
		name = "frameShipGraphic",
		backgroundGraphicHAlign = "Center",
		backgroundGraphicVAlign = "Center",
		helpTip = "$5217", -- CLICK ICON TO FOCUS
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},
	
	{
		type = "ProgressBar",
		backgroundColor = { 0, 128, 0, 255},
		progressColor = { 0, 255, 0, 255},
		borderColor = { 0, 0, 0, 255},
		outerBorderWidth = 1,
		position = { 57, 88},
		size = { 100, 2},
		name = "launchShipHealth",
	},
	
	-- Prev button
	{
		type = "Button",
		name = "btnPrev",
		buttonStyle = "IGPrevButton",
		toggleButton = 0,
		position = {2,23},
		OverGraphic = {
			texture = "DATA:UI\\NewUI\\InGameIcons\\info_buttons.mres",
			textureUV = { 0, 31, 13, 103},
			color = OUTLINECOLOR,
		},
		
		helpTip = "$5219", -- PREV LAUNCH SHIP
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},
	
	-- Choose ship combo box
	{
		type = "DropDownListBox",
		dropDownListBoxStyle = "IGDropDownListBoxStyle",
		position = {17, 23},
		width = 174,
		visible = 1,
		name  = "launchShipList",
		
		ListBox = {
			type = "ListBox",
			name = "comboBuildShipListBox",
			size = { 174, 130},
			backgroundColor = "IGColorBackground1",
			
		},
		
		helpTip = "$5216", -- SELECT LAUNCH SHIP
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},
	
	-- Next button
	{
		type = "Button",
		name = "btnNext",
		toggleButton = 0,
		buttonStyle = "IGNextButton",
		position = {193,23},
		OverGraphic = {
			texture = "DATA:UI\\NewUI\\InGameIcons\\info_buttons.mres",
			textureUV = { 13, 31, 0, 103},
			color = OUTLINECOLOR,
		},
		
		helpTip = "$5218", -- NEXT LAUNCH SHIP
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},

	 -- Combo box item to clone
	{
		type = "TextListBoxItem",
		buttonStyle = "IGListBoxItemButtonStyle",
		
		name = "launchShipItem",
		
		visible = 0,
		enabled = 0,
		width = 160,
		
		Text = {
			textStyle = "IGListBoxItemTextStyle",
		},
	},
	
	-- Stay Docked / Autolaunch buttons
	{
		type = "Frame",
		position = {2, 112},
		size = {204, 28},
		--backgroundColor = {255,255,255,100},
		;
	
		{
			type = "RadioButton",
			name = "stayDockedButton",
			position = {0,0},
			size = {193, 13},
			buttonStyle = "IGRadioButtonStyle",
			Text = {
				text = "$2662",		-- STAY DOCKED
				textStyle = "IGRadioButtonTextStyle",
			},
			PressedGraphic = {
				size = {13,13},
				texture = "data:ui\\newui\\elements\\radio_button.mres",
				textureUV = {14,0,27,13},
				color = OUTLINECOLOR,
			},
			
			helpTip = "$5222", -- SHIPS WILL REMAIN DOCKED
			helpTipTextLabel = "commandsHelpTip",
			helpTipScreen = "NewTaskbar",
		},
		{
			type = "RadioButton",
			name = "autoLaunchButton",
			position = {0,15},
			size = {193, 13},
			buttonStyle = "IGRadioButtonStyle",
			Text = {
				text = "$2663",		-- AUTO LAUNCH
				textStyle = "IGRadioButtonTextStyle",
			},
			PressedGraphic = {
				size = {13,13},
				texture = "data:ui\\newui\\elements\\radio_button.mres",
				textureUV = {14,0,27,13},
				color = OUTLINECOLOR,
			},
			
			helpTip = "$5223", -- SHIPS WILL AUTOLAUNCH
			helpTipTextLabel = "commandsHelpTip",
			helpTipScreen = "NewTaskbar",
		},
	},
	
	-- docked ship count
	{
		type = "Frame",
		size = {210,13},
		position = {0,97},
		backgroundColor = OUTLINECOLOR,
		;
		{
			type = "TextLabel",
			position = { 2, 0},
			size = { 158, 13},
			marginWidth = 6,
			Text = {
				textStyle = "IGHeading2",
				text = "$2666",		-- DOCKED SHIPS
				color = { 0, 0, 0, 255},
			},
		},
		{
			type = "TextLabel",
			name = "dockedCountLabel",
			position = { 160, 0 },
			size = { 50, 13},
			Text = {
				textStyle = "IGHeading2",
				hAlign = "Right",
				offset = { -4, 0},
				color = { 0, 0, 0, 255},
			},
		},
	},
	
	
	-- docked ships list box
	{
		type = "ListBox",
		position = {2, 144},
		size = { 204, 295},
		name = "dockedShipList",
		multiSelect = 1,
		
		helpTip = "$5220", -- SELECT SHIPS TO LAUNCH
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},

	-- docked ships item to insert into list box
	{
		type = "ListBoxItem",
		visible = 0,
		buttonStyle = "Taskbar_ShipButtonStyle",
		name = "dockedShipItem",
		helpTipTextLabel = "helpTipTextLabel",
	},

	
	-- Launch button
	{
		type = "TextButton",
		name = "launchButton",
		position = {2,462},
		size = {204, 13},
		buttonStyle = "IGButtonStyle1NoEnterSound",
		Text = {
			text = "$2664",
			textStyle = "IGButtonTextStyle",
		},
		
		helpTip = "$5225", -- LAUNCH SELECTED SHIPS ONLY
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},
	
	-- Launch All button
	{
		type = "TextButton",
		name = "launchAllButton",
		position = {2,477},
		size = {204, 13},
		buttonStyle = "IGButtonStyle1NoEnterSound",
		Text = {
			text = "$2665",
			textStyle = "IGButtonTextStyle",
		},
		helpTip = "$5224", -- LAUCNH ALL SHIPS
		helpTipTextLabel = "commandsHelpTip",
		helpTipScreen = "NewTaskbar",
	},
}
