dofilepath("data:ui/newui/multiplayer/chatui.lua")

LobbyTitleRoom = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",
	
	RootElementSettings = {
		--backgroundColor = "FEColorBackground1",
	},

	-- Localizer format IDs for broadcast and whisper chat messages.  These should be the same in all screens ChatUI is used.
	sayFormatID = 3364,
	whisperFormatID = 3365,
	whisperEchoFormatID = 3369,
	playerJoinedFormatID = 3525,
	playerLeftFormatID = 3526,
	chatTitleID = "$3405",
	
	ErrorMessages = 
	{
		[ LM_Joining ] 			= "$3406",
		[ LM_Disconnected ] 		= "$3407",
		[ LM_CouldNotJoinRoom ] 	= "$3408",
	}, 
	
	pixelUVCoords = 1,
	;

{
	type = "Frame",
	position = {0,0},
	size = {800,600},
	name = "frmTheRoot",
	;


	--DEFINITION FOR: (txtLbl) TITLE
	{
		type = "TextLabel",
		position = {16,-2},
		size = {600,36},
		name = "txtLblTITLE",
		Text = {
			text = "$3390",
			textStyle = "FEHeading1",
		},
		;
	},

	--DEFINITION FOR: (txtLbl) SUBTITLE
	{
		type = "TextLabel",
		position = {17,34},
		size = {600,21},
		name = "txtLblSUBTITLE",
		Text = {
			text = "$3391",
			textStyle = "FEHeading2",
		},
		;
	},
	
	--DEFINITION FOR: (frmgr) 1gamespy.tga
	{
		type = "Frame",
		BackgroundGraphic = {
			type = "Graphic",
			size = {128,32},
			texture = "Data:UI\\NewUI\\Network\\gamespy.mres",
			textureUV = {0.0,0.0,128,32},
		},
		position = {656,9},
		size = {128,32},
		name = "frmgr1gamespytga",
		;
	},
	
	

	------------------------------------------------------------------------------------
	-- SERVER LIST FRAME
	------------------------------------------------------------------------------------
	{
		type = "Frame",
		backgroundColor = "FEColorBackground1",
		position = {6,69},
		size = {401,469},
		name = "frmRootServer",
		;
		
		--DEFINITION FOR: (txtLbl) SERVERS
		{
			type = "TextLabel",
			position = {6,3},
			size = {350,15},
			name = "txtLblSERVERS",
			Text = {
				text = "$3392",
				textStyle = "FEHeading3",
			},
			;
		},

		--DEFINITION FOR: (txtLbl) SELECT_A_SERVER
		{
			type = "TextLabel",
			position = {6,17},
			size = {250,9},
			name = "txtLblSELECTASERVER",
			Text = {
				text = "$3394",
				textStyle = "FEHeading4",
			},
			;
		},
		
		-- Table Border frame
		{
			type = "Frame",
			position = {2, 31},
			size = {397, 436},
			borderWidth = 2,
			borderColor = "FEColorOutline",
			--backgroundColor = "FEColorBackground1",
			;
			
			-- Horz line
			{
				type = "Line",
				p1 = {0, 21},
				p2 = {397, 21},
				lineWidth = 2,
				above = 0,
				color = "FEColorOutline",
			},
			
			-- Vert line
			{
				type = "Line",
				p1 = {378, 0},
				p2 = {378, 436},
				lineWidth = 2,
				above = 0,
				color = "FEColorOutline",
			},
			
		
			-- DEFINITION FOR (tbl) tableGames
			{
				type = "Table",
				name = "tableRooms",
				position = {4,4},
				size = {389,428},
				
				backgroundColor = {0,0,0,0},
				tableStyle = "FETableStyle",
				Columns = {
					;
					-- roomName
					{
						width = 180,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$2675", -- "SORT BY SERVER NAME",
							;
							{
								type = "TextButton",
								name = "TableTitleRoomName",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3402",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- numGames
					{
						width = 86,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$2676", -- "SORT BY NUMBER OF GAMES",
							;
							{
								type = "TextButton",
								name = "TableTitleNumGames",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3403",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},
					
					-- numPlayers
					{
						width = 100,
						TitleCell = {
							type = "TableCell",
							helpTipTextLabel = "m_lblHelpText",
							helpTip = "$2677", -- "SORT BY NUMBER OF PLAYERS",
							;
							{
								type = "TextButton",
								name = "TableTitleNumPlayers",
								buttonStyle = "FETableTitleButtonStyle",
								Text = {
									text = "$3404",
									textStyle = "FETableTitleTextStyle",
								},
							}
						},
					},			
				},
			}
		}
	},
	
	
	
	
	------------------------------------------------------------------------------------
	-- CHAT FRAME
	------------------------------------------------------------------------------------
	GetChatTable(414,69, 380,469), -- in data:ui/newui/multiplayer/chatui.lua
	
	
	
	
	
	------------------------------------------------------------------------------------
	-- BOTTOM NAVIGATION FRAME
	------------------------------------------------------------------------------------
	{
		type = "Frame",
		backgroundColor = "FEColorBackground1",
		position = {12,544},
		size = {776,44},
		name = "frmRootbottombigfrm",
		;
		-- OUTLINE FRAME
		{
			type = "Frame",
			borderWidth = 2,
			borderColor = "FEColorOutline",
			position = {2,2},
			size = {772,40},
			name = "frmbottomframe",
			;
			
			-- HELP TEXT
			{
				type = "TextLabel",
				position = {4,4},
				size = {764,13},
				name = "m_lblHelpText",
				Text = {					
					textStyle = "FEHelpTipTextStyle",
				},
				;
			},
			
			-- LINE
			{
				type = "Line",
				above = 0,
				lineWidth = 2,
				color = "FEColorOutline",				
				p1 = {2, 19},
				p2 = {770, 19},
				
			},
			
			
			-- BUTTONS
			--DEFINITION FOR: (txtBtn) BACK
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				position = {4,23},
				name = "txtBtnBACK",
				Text = {
					text = "$3399",
					textStyle = "FEButtonTextStyle",
				},
				-- onMouseClicked = [[UI_ShowScreen("NewMainMenu", eTransition);]],
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$3043", -- "RETURN TO THE MAIN MENU",
				;
			},

			--DEFINITION FOR: (txtBtn) JOIN_LOBBY
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle2",
				position = {648,23},
				name = "txtBtnJOINLOBBY",
				Text = {
					text = "$3397",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$2678", -- "JOIN THE LOBBY ON THE SELECTED SERVER",
				;
			},

			--DEFINITION FOR: (txtBtn) REFRESH
			{
				type = "TextButton",
				buttonStyle = "FEButtonStyle1",
				position = {126,23},
				name = "txtBtnREFRESH",
				Text = {
					text = "$3400",
					textStyle = "FEButtonTextStyle",
				},
				helpTipTextLabel = "m_lblHelpText",
				helpTip = "$2679", -- "REFRESH THE LIST OF DISPLAYED SERVERS",
				;
			},
		},
	},
}
}
