SAVELOAD_WIDTH = 420
SAVELOAD_HEIGHT = 250
SAVELOAD_POSITION = {400 - (SAVELOAD_WIDTH / 2), 300 - (SAVELOAD_HEIGHT / 2) }

SaveLoadDialog = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",

	pixelUVCoords = 1,
	
	onShow = "MainUI_PushEnabledCommandState(); MainUI_DisableAllCommands(1);",
	onHide = "MainUI_PopEnabledCommandState()",
	;

{
	type = "Frame",
	position = {0,0},
	size = {800,600},
	name = "m_frmRoot",
	backgroundColor = "FEColorBackground2", -- dialog background
	;
	
	-- ListBoxItemToClone
	{
		type = "TextListBoxItem",
		name = "m_listBoxItemToClone",
		resizeToListBox = 1,
		--width = 463,
		width = SAVELOAD_WIDTH - 31,
		visible = 0,		
		Text = {
			textStyle = "FEButtonTextStyle",
			color = {255,255,255,255},
			hAlign = "Left",
			offset = {2,0},
		},
		
		overColor = {100,100,100,100},
		pressedColor = {100,100,100,150},
		
		helpTipTextLabel = "m_lblHelpText",
		allowDoubleClicks = 1,
		
		soundOnClicked = "SFX_ButtonClick",
	},
	
	-- Dialog frame (black alpha background)
	{
		type = "Frame",
		backgroundColor = "FEColorDialog",
		--position = {163, 138},
		--size = {494, 395},
		position = SAVELOAD_POSITION,
		size = {SAVELOAD_WIDTH, SAVELOAD_HEIGHT+1},
		;
		
		-- background gradient frame
		{
			type = "Frame",
			style = "FEPopupBackgroundStyle",
			position = {2,2},
			size = {SAVELOAD_WIDTH-4, 96},
		},
		-- header lines
		{
			type = "Frame",
			position = {2, 2},
			size = {SAVELOAD_WIDTH-4, 31},
			;
			{
				type = "Frame",
				borderWidth = 2,
				borderColor = "FEColorPopupOutline",
				size = {SAVELOAD_WIDTH-4, 34}, -- clip the bottom line off
			},	
		},
		
		-- Outline frame
		{
			type = "Frame",
			outerBorderWidth = 2,
			borderColor = "FEColorPopupOutline",
			position = {4, 34},
			autosize = 1,
			autoarrange = 1,
			;
			-- List box frame
			{
				type = "Frame",
				outerBorderWidth = 1,
				borderColor = "FEColorPopupOutline",
				--size = {486,302},
				size = {SAVELOAD_WIDTH-8, SAVELOAD_HEIGHT-93},
				;
				
				{
					type = "ListBox",
					name = "m_listGames",
					listBoxStyle = "FEListBoxStyle",
					position = {2,0},
					--size = {482, 299},
					size = {SAVELOAD_WIDTH-12, SAVELOAD_HEIGHT-94},
				},
				
				{
					type = "Line",
					lineWidth = 2,
					--p1 = {469, 0},
					--p2 = {469, 302},
					p1 = {SAVELOAD_WIDTH-25, 0},
					p2 = {SAVELOAD_WIDTH-25, SAVELOAD_HEIGHT-93},
					above = 0,
					color = "FEColorPopupOutline",
				},
			},
			
			-- Text input frame
			{
				type = "Frame",
				outerBorderWidth = 1,
				borderColor = "FEColorPopupOutline",
				--size = {486, 19},
				size = {SAVELOAD_WIDTH-8, 19},
				;
				
				-- Game name text input
				{
					type = "TextInput",
					name = "m_txtInput",
					position = {2,3},
					--width = 482,
					width = SAVELOAD_WIDTH-12,
					textInputStyle = "FETextInputStyle",
					maxTextLength = 64,
					
					onAccept = "GiveFocus('m_frmRoot', 'SaveLoadDialog')",
				},
			},
			
			-- Help text frame
			{
				type = "Frame",
				outerBorderWidth = 1,
				borderColor = "FEColorPopupOutline",
				--size = {486, 19},
				size = {SAVELOAD_WIDTH-8, 19},
				;
				{
					type = "TextLabel",
					name = "m_lblHelpText",
					--size = {486, 19},
					size = {SAVELOAD_WIDTH-8, 19},
					Text = {
						textStyle = "FEHelpTipTextStyle",
						vAlign = "Middle",
						hAlign = "Left",
						offset = {4,0},
					},
				},
			},
			
			-- Button frame
			{
				type = "Frame",
				outerBorderWidth = 1,
				borderColor = "FEColorPopupOutline",
				--size = {486, 18},
				size = {SAVELOAD_WIDTH-8, 18},
				;
				
				-- Cancel button
				{
					type = "TextButton",
					name = "m_btnCancel",
					
					position = {SAVELOAD_WIDTH-130,3},
					buttonStyle = "FEButtonStyle1",
					Text = {
						text = "$2613",--CANCEL
						textStyle = "FEButtonTextStyle",
					},
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$2613",--CANCEL
				},
				
				-- Delete button
				{
					type = "TextButton",
					name = "m_btnDelete",
					position = {2,3},
					buttonStyle = "FEButtonStyle1",
					Text = {
						textStyle = "FEButtonTextStyle",
						text = "$3572",--DELETE
					},
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3573",--DELETE THE SELECTED SAVED GAME
				},
					
				-- Load Skirmish button
				{
					type = "TextButton",
					name = "m_btnLoadSkirmish",
					position = {SAVELOAD_WIDTH-252,3},
					buttonStyle = "FEButtonStyle2",
					Text = {
						text = "$3574",--LOAD GAME
						textStyle = "FEButtonTextStyle",
					},
					
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3575",--LOAD THE CURRENTLY SELECTED SAVED GAME
				},
				-- Load Campaign button
				{
					type = "TextButton",
					name = "m_btnLoadCampaign",
					position = {SAVELOAD_WIDTH-252,3},
					buttonStyle = "FEButtonStyle2",
					Text = {
						text = "$3576",--LOAD CAMPAIGN
						textStyle = "FEButtonTextStyle",
					},
					
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3577",--LOAD THE CURRENTLY SELECTED SAVED CAMPAIGN
				},
				-- Load Recorded button
				{
					type = "TextButton",
					name = "m_btnLoadRecorded",
					--position = {364, 3},
					position = {SAVELOAD_WIDTH-252,3},
					buttonStyle = "FEButtonStyle2",
					Text = {
						text = "$3578",--PLAY RECORDED
						textStyle = "FEButtonTextStyle",
					},
					
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3579",--PLAYBACK THE CURRENTLY SELECTED RECORDED GAME
				},
				-- Save Skirmish button
				{
					type = "TextButton",
					name = "m_btnSaveSkirmish",
					--position = {364, 3},
					position = {SAVELOAD_WIDTH-252,3},
					buttonStyle = "FEButtonStyle2",
					Text = {
						text = "$3580",--SAVE GAME
						textStyle = "FEButtonTextStyle",
					},
					
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3581",--SAVE THE GAME USING THE CURRENT FILENAME
				},
				-- Save Campaign button
				{
					type = "TextButton",
					name = "m_btnSaveCampaign",
					--position = {364, 3},
					position = {SAVELOAD_WIDTH-252,3},
					buttonStyle = "FEButtonStyle2",
					Text = {
						text = "$3582",--SAVE CAMPAIGN
						textStyle = "FEButtonTextStyle",
					},
					
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3583",--SAVE THE CAMPAIGN USING THE CURRENT FILENAME
				},
				-- Save Recorded game button
				{
					type = "TextButton",
					name = "m_btnSaveRecorded",
					--position = {364, 3},
					position = {SAVELOAD_WIDTH-252,3},
					buttonStyle = "FEButtonStyle2",
					Text = {
						text = "$3584",--SAVE RECORDED
						textStyle = "FEButtonTextStyle",
					},
					
					helpTipTextLabel = "m_lblHelpText",
					helpTip = "$3585",--SAVE A RECORDING OF THE LAST GAME FOR VIEWING LATER
				},
			},	
		},
	},
	
	-- Text layers
	-- There is a layer for each dialog:
		-- Load Saved Game
		-- Load Saved Campaign
		-- Playback recorded game
		-- Save Game
		-- Save Campaign
	{
		type = "Frame",
		name = "m_frmLoadSkirmish",
		position = SAVELOAD_POSITION,
		autosize = 1,
		;
		
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {SAVELOAD_WIDTH-50,17},
			Text = {
				text = "$3588",--LOAD
				textStyle = "FEHeading3",
				vAlign = "Middle",
			},
		},
		
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10, 18},
			size = {SAVELOAD_WIDTH-50,9},
			Text = {
				text = "$3589", --LOAD SAVED GAME//
				textStyle = "FEHeading4",
				vAlign = "Middle",
			},
		},
	},
	
	{
		type = "Frame",
		name = "m_frmLoadCampaign",
		position = SAVELOAD_POSITION,
		autosize = 1,
		;
		
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {SAVELOAD_WIDTH-50,17},
			Text = {
				text = "$3590",--LOAD
				textStyle = "FEHeading3",
				vAlign = "Middle",
			},
		},
		
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10, 18},
			size = {SAVELOAD_WIDTH-50,9},
			Text = {
				text = "$3591", --LOAD SAVED CAMPAIGN//
				textStyle = "FEHeading4",
				vAlign = "Middle",
			},
		},
	},
	
	{
		type = "Frame",
		name = "m_frmLoadRecorded",
		position = SAVELOAD_POSITION,
		autosize = 1,
		;
		
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {SAVELOAD_WIDTH-50,17},
			Text = {
				text = "$3592",--LOAD
				textStyle = "FEHeading3",
				vAlign = "Middle",
			},
		},
		
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10, 18},
			size = {SAVELOAD_WIDTH-50,9},
			Text = {
				text = "$3593", --LOAD RECORDED GAME//
				textStyle = "FEHeading4",
				vAlign = "Middle",
			},
		},
	},
	
	{
		type = "Frame",
		name = "m_frmSaveSkirmish",
		position = SAVELOAD_POSITION,
		autosize = 1,
		;
		
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {SAVELOAD_WIDTH-50,17},
			Text = {
				text = "$3594",--SAVE
				textStyle = "FEHeading3",
				vAlign = "Middle",
			},
		},
		
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10, 18},
			size = {SAVELOAD_WIDTH-50,9},
			Text = {
				text = "$3595", --SAVE CURRENT GAME//
				textStyle = "FEHeading4",
				vAlign = "Middle",
			},
		},
	},
	
	{
		type = "Frame",
		name = "m_frmSaveCampaign",
		position = SAVELOAD_POSITION,
		autosize = 1,
		;
		
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {SAVELOAD_WIDTH-50,17},
			Text = {
				text = "$3596",--SAVE
				textStyle = "FEHeading3",
				vAlign = "Middle",
			},
		},
		
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10, 18},
			size = {SAVELOAD_WIDTH-50,9},
			Text = {
				text = "$3597", --SAVE CAMPAIGN GAME//
				textStyle = "FEHeading4",
				vAlign = "Middle",
			},
		},
	},
	
	{
		type = "Frame",
		name = "m_frmSaveRecorded",
		position = SAVELOAD_POSITION,
		autosize = 1,
		;
		
		-- Title
		{
			type = "TextLabel",
			position = {10,2},
			size = {SAVELOAD_WIDTH-50,17},
			Text = {
				text = "$3598",--SAVE
				textStyle = "FEHeading3",
				vAlign = "Middle",
			},
		},
		
		
		-- Subtitle
		{
			type = "TextLabel",
			position = {10, 18},
			size = {SAVELOAD_WIDTH-50,9},
			Text = {
				text = "$3599", --SAVE RECORDED GAME//
				textStyle = "FEHeading4",
				vAlign = "Middle",
			},
		},
	},
}
}

