SubtitleScreen = {
	size = {0, 0, 800, 600},
	stylesheet = "HW2StyleSheet",
	clickThrough = 1,

	RootElementSettings = {
		-- by default, the screen would darken when it's disabled;
		-- we want to disable the subtitle screen without it getting darkened so
		--   we override the default disable background graphic
		DisabledGraphic = {
			size = {800, 600},
			texture = "DATA:UI\\NewUI\\clearBG.tga",
			textureUV = { 0, 0, 1, 1 },
		},		
	},

	;

	-- OK button
	{
		type = "TextButton",
		toggleButton = 0,
		position = {690, 480},
		buttonStyle = "Taskbar_PanelButtonStyle",
		
		Text = {
			text = "$3614", 
			textStyle = "Taskbar_PanelButtonTextStyle",
		},
		name = "btnSubtitleOk",
		onMouseClicked = "MainUI_UserEvent( eSubtitleOk )",
		visible = 0,
	},

	-- Region 0
	{
		type = "Frame",
		name = "Region0_Frame",
		position = { 0, 0 },
		size = { 800, 600 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;
	
		-- text
		{
			type = "TextLabel",
			name = "Region0_Text",
	
			position = {0, 0},
			size = { 800, 600 },
			Text = {
				textStyle = "SubtitleSPTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Left",
				text = "Region 0 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},
	},


	-- Region 1 (letter box)
	{
		type = "Frame",
		name = "Region1_Frame",
		position = { 8, 17 },
		size = { 755, 63 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;

		-- icon
		{
			type = "Frame",
			name = "Region1_Icon",
			position = { 0, 0 },
			size = { 100, 50 },
			BackgroundGraphic = {
				size = { 100, 50 },
				texture = "DATA:UI\\logo.tga",
				textureUV = { 0, 0, 1, 1 },
			},
			visible = 0,
		},
	
		-- text
		{
			type = "TextLabel",
			name = "Region1_Text",
	
			position = {104, 0},
			size = { 651, 63 },
			Text = {
				textStyle = "SubtitleSPTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Left",
				text = "Region 1 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},

		
		-- narrow text box
		{
			type = "TextLabel",
			name = "Region1_TextNarrow",
	
			position = {104, 0},
			size = { 439, 63 },
			Text = {
				textStyle = "SubtitleSPTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Left",
				text = "Region 1 text narrow",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},
	},

	-- Region 2
	{
		type = "Frame",
		name = "Region2_Frame",
		position = { 25, 450 },
		size = { 750, 50 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;

		-- text
		{
			type = "TextLabel",
			name = "Region2_Text",
	
			position = {0, 0},
			size = { 750, 50 },
			Text = {
				textStyle = "SubtitleGenericTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Left",
				text = "Region 2 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},
	},


	-- Region 3 (location)
	{
		type = "Frame",
		name = "Region3_Frame",
		position = { 0, 481 },
		size = { 800, 19 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;
	
		-- text
		{
			type = "TextLabel",
			name = "Region3_Text",
	
			position = {0, 0},
			size = { 800, 19 },
			Text = {
				textStyle = "SubtitleLocationCardTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Center",
				text = "Region 3 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},
	},


	-- Region 4 (time counter)
	-- TODO: this should go where the version info is...
	{
		type = "Frame",
		name = "Region4_Frame",
		position = { 214, 482 },
		size = { 370, 50 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;
	
		-- text
		{
			type = "TextLabel",
			name = "Region4_Text",
	
			position = {0, 0},
			size = { 370, 50 },
			Text = {
				textStyle = "SubtitleSPTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Center",
				text = "Region 4 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},
	},

	-- Region 5 (message)
	{
		type = "Frame",
		name = "Region5_Frame",
		position = { 0, 100 },
		size = { 800, 19 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;
	
		-- text
		{
			type = "TextLabel",
			name = "Region5_Text",
	
			position = {0, 0},
			size = { 800, 19 },
			Text = {
				textStyle = "SubtitleSPTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Center",
				text = "Region 5 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},
	},

	-- Region 6 (animatic letter box)
	{
		type = "Frame",
		name = "Region6_Frame",
		position = { 8, 17 },
		size = { 755, 63 },
		giveParentMouseInput = 1,	-- we don't want to capture input
		;

		-- text
		{
			type = "TextLabel",
			name = "Region6_Text",
	
			position = {45, 0},
			size = { 710, 63 },
			Text = {
				textStyle = "SubtitleSPTextStyle",
				color = { 255, 255, 255, 255},
				vAlign = "Top",
				hAlign = "Left",
				text = "Region 6 text",
			},
			wrapping = 1,
			dropShadow = 1,
			visible = 0,
		},

	},
}